var sidebar_toc = {
  n: [
    { u: "index.html", t: "About This Manual", n: [
      { u: "preface.documentation.html", t: "Helix documentation" },
      { u: "preface.syntax.html", t: "Syntax conventions" },
      { u: "preface.feedback.html", t: "Please give us feedback" },
    ] },
    { u: "chapter.introduction.html", t: "Introduction", n: [
      { u: "introduction.about.html", t: "About P4V, the Perforce Visual Client", n: [
        { u: "introduction.about.html#introduction.about.basic", t: "Basic concepts" },
      ] },
      { u: "introduction.getting_started.html", t: "Getting Started with P4V" },
      { u: "introduction.check_for_updates.html", t: "Checking for updates" },
    ] },
    { u: "chapter.using.html", t: "Using P4V", n: [
      { u: "using.connecting.html", t: "Connecting to the Perforce versioning engine", n: [
        { u: "using.connecting.html#using.connecting.favorites", t: "Favorite connections" },
        { u: "using.connecting.html#using.connecting.unicode", t: "Connecting to unicode-mode Perforce services" },
      ] },
      { u: "using.workspaces.html", t: "Creating and managing workspaces", n: [
        { u: "using.workspaces.html#using.workspaces.create", t: "Create a workspace" },
        { u: "using.workspaces.html#using.workspaces.changing", t: "Change your workspace" },
        { u: "using.workspaces.html#using.workspaces.display", t: "View workspaces" },
        { u: "using.workspaces.html#using.workspaces.search", t: "Search for workspaces" },
        { u: "using.workspaces.html#using.workspaces.delete", t: "Delete and unload workspaces" },
        { u: "using.workspaces.html#using.workspaces.view", t: "Defining a Workspace View", n: [
          { u: "using.workspaces.html#using.workspaces.view.syntactic", t: "Syntactic view specification" },
          { u: "using.workspaces.html#using.workspaces.view.graphical", t: "Graphical view specification" },
        ] },
      ] },
      { u: "using.navigating.html", t: "Navigating P4V", n: [
        { u: "using.navigating.html#using.navigating.terms", t: "Terminology" },
        { u: "using.navigating.html#using.navigating.layout", t: "Layout" },
        { u: "using.navigating.html#using.navigating.status", t: "Update status information" },
        { u: "using.navigating.html#using.navigating.modify", t: "Modify views" },
        { u: "using.navigating.html#using.navigating.p4admin", t: "Open P4Admin, the Administration Tool" },
      ] },
      { u: "using.icons.html", t: "About P4V icons" },
      { u: "using.bookmarks.html", t: "Bookmarking files", n: [
        { u: "using.bookmarks.html#using.bookmarks.file", t: "Bookmark a file or folder" },
        { u: "using.bookmarks.html#using.bookmarks.manage", t: "Manage bookmarks" },
        { u: "using.bookmarks.html#using.shortcuts", t: "Using P4V shortcuts" },
        { u: "using.bookmarks.html#using.shortcuts.drag", t: "Drag and drop" },
        { u: "using.bookmarks.html#using.shortcuts.keys", t: "Shortcut keys" },
      ] },
      { u: "using.filters.html", t: "Searching and filtering", n: [
        { u: "using.filters.html#using.filters.find_depot", t: "Find files in a depot or workspace" },
        { u: "using.filters.html#using.filters.find_active", t: "Find a file, folder, or specification in the active tab" },
        { u: "using.filters.html#using.filters.find_specs", t: "Find specifications using filters" },
        { u: "using.filters.html#using.filters.save", t: "Save and reuse filters" },
        { u: "using.filters.html#using.filters.paths", t: "Filter with file paths" },
      ] },
      { u: "using.offline.html", t: "Working Without a Perforce Service Connection" },
    ] },
    { u: "chapter.configuring.html", t: "Configuring P4V", n: [
      { u: "configuring.preferences.html", t: "Configuring P4V Preferences", n: [
        { u: "configuring.preferences.html#configuring.preferences.connections", t: "Connections" },
        { u: "configuring.preferences.html#configuring.preferences.streams", t: "Streams" },
        { u: "configuring.preferences.html#configuring.preferences.server", t: "Server Data" },
        { u: "configuring.preferences.html#configuring.preferences.behavior", t: "Behavior" },
        { u: "configuring.preferences.html#configuring.preferences.merge-integrate", t: "Merge-Integrate" },
        { u: "configuring.preferences.html#configuring.preferences.integrate_flags", t: "Integrate Flags" },
        { u: "configuring.preferences.html#configuring.preferences.copy", t: "Copy" },
        { u: "configuring.preferences.html#configuring.preferences.branch", t: "Branch" },
        { u: "configuring.preferences.html#configuring.preferences.doubleclick", t: "Double-click" },
        { u: "configuring.preferences.html#configuring.preferences.shortcuts", t: "Shortcuts" },
        { u: "configuring.preferences.html#configuring.preferences.logging", t: "Logging" },
        { u: "configuring.preferences.html#configuring.preferences.display", t: "Display" },
        { u: "configuring.preferences.html#configuring.preferences.files", t: "Files and History" },
        { u: "configuring.preferences.html#configuring.preferences.features", t: "Features" },
        { u: "configuring.preferences.html#configuring.preferences.tools", t: "Tools" },
        { u: "configuring.preferences.html#configuring.preferences.image_timelapse", t: "Image Timelapse" },
        { u: "configuring.preferences.html#configuring.preferences.editors", t: "File Editors" },
        { u: "configuring.preferences.html#configuring.preferences.diff", t: "Diff" },
        { u: "configuring.preferences.html#configuring.preferences.merge", t: "Merge" },
        { u: "configuring.preferences.html#configuring.preferences.applets", t: "Applets" },
      ] },
      { u: "configuring.user.html", t: "Editing User Preferences" },
    ] },
    { u: "chapter.files.html", t: "Managing Files", n: [
      { u: "files.add.html", t: "Adding Files to the Depot" },
      { u: "files.retrieve.html", t: "Retrieving Files from the Depot" },
      { u: "files.edit.html", t: "Editing Files" },
      { u: "files.submit.html", t: "Checking in files", n: [
        { u: "files.submit.html#files.submit.view", t: "View changelists" },
        { u: "files.submit.html#files.submit.submit", t: "Submit changelists" },
        { u: "files.submit.html#files.submit.reverse", t: "Reverse a changelist submission" },
        { u: "files.submit.html#files.submit.restrict", t: "Restrict access to a changelist" },
        { u: "files.submit.html#files.submit.configure", t: "Configure changelist display" },
      ] },
      { u: "files.history.html", t: "Displaying the Revision History of a File or Folder", n: [
        { u: "files.history.html#files.history.files", t: "Files" },
        { u: "files.history.html#files.history.folders", t: "Folders" },
      ] },
      { u: "files.type.html", t: "Changing a File&#8217;s Type" },
      { u: "files.rename.html", t: "Renaming and Moving Files or Folders" },
      { u: "files.delete.html", t: "Deleting Files" },
      { u: "files.diff.html", t: "Diffing Files and Folders", n: [
        { u: "files.diff.html#files.diff.options", t: "Diff dialog options" },
        { u: "files.diff.html#files.diff.consistency", t: "Check workspace consistency" },
        { u: "files.diff.html#files.diff.state", t: "View the state of the depot at a specified point in time" },
        { u: "files.diff.html#files.diff.large", t: "Diff large files" },
      ] },
      { u: "files.shelve.html", t: "Shelving Files", n: [
        { u: "files.shelve.html#files.shelve.pending", t: "Shelve checked-out files in a pending changelist" },
        { u: "files.shelve.html#files.shelve.unshelve", t: "Unshelve files" },
        { u: "files.shelve.html#files.shelve.submit", t: "Submit shelved files" },
        { u: "files.shelve.html#files.shelve.delete", t: "Delete shelved files" },
      ] },
    ] },
    { u: "chapter.advanced_files.html", t: "More File Management Tools", n: [
      { u: "advanced_files.revgraph.html", t: "Viewing Codeline History in the Revision Graph", n: [
        { u: "advanced_files.revgraph.html#_read_the_revision_graph", t: "Read the Revision Graph" },
        { u: "advanced_files.revgraph.html#_navigate_the_revision_graph", t: "Navigate the Revision Graph" },
        { u: "advanced_files.revgraph.html#_filter_the_revision_graph", t: "Filter the Revision Graph" },
        { u: "advanced_files.revgraph.html#_display_details", t: "Display details" },
      ] },
      { u: "advanced_files.timelapse.html", t: "Viewing File History with Time-lapse View", n: [
        { u: "advanced_files.timelapse.html#_toolbar", t: "Toolbar" },
        { u: "advanced_files.timelapse.html#_slider", t: "Slider" },
      ] },
      { u: "advanced_files.timelapse_image.html", t: "Viewing Image File History with Time-lapse View" },
      { u: "advanced_files.folder_diff.html", t: "Using the Folder Diff Utility" },
      { u: "advanced_files.text_diff.html", t: "Diffing Text Files", n: [
        { u: "advanced_files.text_diff.html#_navigate_diffs", t: "Navigate Diffs" },
        { u: "advanced_files.text_diff.html#_set_preferences", t: "Set Preferences" },
      ] },
      { u: "advanced_files.image_diff.html", t: "Diffing Images" },
      { u: "advanced_files.docx_diff.html", t: "Diffing Microsoft Word Files" },
      { u: "advanced_files.p4merge.html", t: "Merging Files", n: [
        { u: "advanced_files.p4merge.html#_navigate_diffs_2", t: "Navigate Diffs" },
        { u: "advanced_files.p4merge.html#_merge_text", t: "Merge Text", n: [
          { u: "advanced_files.p4merge.html#_choose_text_chunks", t: "Choose Text Chunks" },
          { u: "advanced_files.p4merge.html#_edit_text", t: "Edit Text" },
        ] },
        { u: "advanced_files.p4merge.html#_set_preferences_2", t: "Set Preferences" },
      ] },
    ] },
    { u: "chapter.branches.html", t: "Managing Codelines", n: [
      { u: "branches.create.html", t: "Creating Branches" },
      { u: "branches.merging.html", t: "Merging Files Between Codelines", n: [
        { u: "branches.merging.html#_open_files_for_merge", t: "Open files for merge" },
      ] },
      { u: "branches.resolve.html", t: "Resolving Files", n: [
        { u: "branches.resolve.html#branches.individual", t: "Resolve individual files" },
        { u: "branches.resolve.html#branches.multiple", t: "Resolve multiple files" },
      ] },
      { u: "branches.mapping.html", t: "Managing Branch Mapping", n: [
        { u: "branches.mapping.html#branches.mapping.work", t: "Work with branch mapping" },
      ] },
      { u: "branches.labels.html", t: "Managing Labels", n: [
        { u: "branches.labels.html#branches.labels.create", t: "Create labels" },
        { u: "branches.labels.html#branches.labels.label", t: "Label files" },
        { u: "branches.labels.html#branches.labels.search", t: "Display and search for labels" },
        { u: "branches.labels.html#branches.labels.edit", t: "Edit labels" },
        { u: "branches.labels.html#branches.labels.delete", t: "Delete and unload labels" },
        { u: "branches.labels.html#branches.labels.retrieve", t: "Retrieve file revisions in a label" },
      ] },
      { u: "branches.jobs.html", t: "Managing jobs", n: [
        { u: "branches.jobs.html#branches.jobs.create", t: "Create a job" },
        { u: "branches.jobs.html#branches.jobs.add", t: "Add a job to a pending changelist" },
        { u: "branches.jobs.html#branches.jobs.view", t: "View jobs" },
        { u: "branches.jobs.html#branches.jobs.search", t: "Search for jobs", n: [
          { u: "branches.jobs.html#branches.jobs.search.filter", t: "Search for jobs using Perforce filter expressions" },
          { u: "branches.jobs.html#branches.jobs.search.filepath", t: "Search for jobs using file paths" },
          { u: "branches.jobs.html#branches.jobs.search.query_builder", t: "Search for jobs using the Job Query Builder" },
        ] },
      ] },
    ] },
    { u: "chapter.advanced_options.html", t: "Advanced P4V Options", n: [
      { u: "advanced_options.custom.html", t: "Configuring Custom Tools", n: [
        { u: "advanced_options.custom.html#_environment_considerations", t: "Environment considerations" },
        { u: "advanced_options.custom.html#_add_custom_tools", t: "Add custom tools" },
        { u: "advanced_options.custom.html#_import_and_export_tools", t: "Import and export tools" },
      ] },
      { u: "advanced_options.p4vc.html", t: "Launching P4V Components from the Command Line" },
    ] },
    { u: "chapter.streams.html", t: "Working with Streams", n: [
      { u: "streams.setup.html", t: "Setting up Streams" },
      { u: "streams.create.html", t: "Creating New Streams", n: [
        { u: "streams.create.html#streams.workspace", t: "Creating Stream Workspaces" },
      ] },
      { u: "streams.select.html", t: "Selecting Streams" },
      { u: "streams.graph.html", t: "Using the Stream Graph", n: [
        { u: "streams.graph.html#streams.graph.display", t: "Display streams" },
        { u: "streams.graph.html#streams.graph.conventions", t: "Stream graph display conventions" },
        { u: "streams.graph.html#streams.graph.configure", t: "Configure the stream graph display" },
        { u: "streams.graph.html#streams.graph.status", t: "Display stream status" },
        { u: "streams.graph.html#streams.graph.work", t: "Work in a stream" },
        { u: "streams.graph.html#streams.branching", t: "Branching with Streams" },
      ] },
      { u: "streams.merge_copy.html", t: "Merging Down and Copying Up Between Streams", n: [
        { u: "streams.merge_copy.html#streams.merge_copy.merge", t: "Merge down" },
        { u: "streams.merge_copy.html#streams.merge_copy.copy", t: "Copy up" },
        { u: "streams.merge_copy.html#streams.merge_copy.propagate", t: "Propagate change between unrelated streams" },
      ] },
      { u: "streams.task.html", t: "Working with Task Streams", n: [
        { u: "streams.task.html#streams.task.overview", t: "Overview" },
        { u: "streams.task.html#streams.task.create_same", t: "Create a task stream from a parent stream in the same depot" },
        { u: "streams.task.html#streams.task.create_diff", t: "Create a task stream in a different depot" },
        { u: "streams.task.html#streams.task.create_noparent", t: "Create a task stream without a parent" },
        { u: "streams.task.html#streams.task.convert", t: "Convert a task stream to a regular stream" },
        { u: "streams.task.html#streams.task.delete", t: "Delete and unload task streams" },
        { u: "streams.task.html#streams.task.filter", t: "Filter task stream files out of File History results" },
      ] },
      { u: "streams.virtual.html", t: "Working with Virtual Streams", n: [
        { u: "streams.virtual.html#streams.virtual.view", t: "View virtual streams" },
        { u: "streams.virtual.html#streams.virtual.behavior", t: "Stream path behavior in virtual streams" },
        { u: "streams.virtual.html#streams.virtual.create", t: "Create a virtual stream" },
        { u: "streams.virtual.html#streams.virtual.submit", t: "Submit changes to a virtual stream" },
        { u: "streams.virtual.html#streams.virtual.merge_copy", t: "Merge and copy to a virtual stream" },
      ] },
    ] },
    { u: "chapter.dvcs.html", t: "Using P4V for Distributed Versioning", n: [
      { u: "dvcs.setup.html", t: "Understanding DVCS and Setting up the Server" },
      { u: "dvcs.init.html", t: "Init", n: [
        { u: "dvcs.init.html#initialize.empty.read", t: "Read this first" },
        { u: "dvcs.init.html#initialize.empty.dirs", t: "Directories and files" },
        { u: "dvcs.init.html#initialize.empty.add", t: "Add files" },
      ] },
      { u: "dvcs.clone.html", t: "Clone", n: [
        { u: "dvcs.clone.html#_prepare_to_fetch_and_push_content_between_servers", t: "Prepare to fetch and push content between servers" },
      ] },
      { u: "dvcs.fetch_push.html", t: "Fetch and Push", n: [
        { u: "dvcs.fetch_push.html#fetching.security", t: "Configure security for fetching and pushing" },
        { u: "dvcs.fetch_push.html#fetching.specify", t: "Specify what to copy" },
        { u: "dvcs.fetch_push.html#fetching.copy", t: "What do Fetch and Push copy?" },
      ] },
      { u: "dvcs.resubmit.html", t: "Resubmit" },
      { u: "dvcs.branch.html", t: "Branches" },
      { u: "dvcs.remote_map.html", t: "Understanding Remote Mappings" },
    ] },
    { u: "chapter.swarm.html", t: "Integration with Swarm", n: [
      { u: "swarm.intro.html", t: "Introduction", n: [
        { u: "swarm.intro.html#swarm.intro.swarm", t: "Swarm" },
        { u: "swarm.intro.html#swarm.intro.workflow", t: "Workflow of a review" },
        { u: "swarm.intro.html#swarm.intro.setup", t: "Setting up the Swarm integration" },
      ] },
      { u: "swarm.features.html", t: "Swarm Integration Features", n: [
        { u: "swarm.features.html#swarm.features.request", t: "Request a review", n: [
          { u: "swarm.features.html#swarm.features.request.pending", t: "Request a review from a pending changelist" },
          { u: "swarm.features.html#swarm.features.request.submitted", t: "Request a review from a submitted changelist" },
        ] },
        { u: "swarm.features.html#swarm.features.update", t: "Update a review", n: [
          { u: "swarm.features.html#swarm.features.update.pending", t: "Update a Swarm review from a pending changelist", n: [
            { u: "swarm.features.html#swarm.features.update.pending.associated", t: "Option 1: From associated pending changelist" },
            { u: "swarm.features.html#swarm.features.update.pending.unassociated", t: "Option 2: From a pending changelist not associated to the review" },
          ] },
          { u: "swarm.features.html#swarm.features.update.submitted", t: "Update a Swarm review from a submitted changelist" },
        ] },
        { u: "swarm.features.html#swarm.features.open", t: "Open review in Swarm", n: [
          { u: "swarm.features.html#swarm.features.open.files", t: "Getting Files from a Review" },
        ] },
        { u: "swarm.features.html#swarm.features.columns", t: "Review Id and Review State columns" },
      ] },
    ] },
    { u: "license.statements.html", t: "License Statements" },
  ]
}